# Copyright (c) 2019 Dell Inc. or its subsidiaries. All Rights Reserved.
---
enforce_no_log: "{{ lookup('env', 'ENFORCE_NO_LOG') | default(true, true) }}"

istio_injection: true
awx_gateway_tls_mode: SIMPLE

awx_secret_mount_path: /etc/istio/istio-ingressgateway-awx-certs

awx_gateway_srv_crt: "{{ awx_secret_mount_path }}/tls.crt"
awx_gateway_prv_key: "{{ awx_secret_mount_path }}/tls.key"

awx_namespace: ngci-awx
kubernetes_namespace: "{{ awx_namespace }}"

# Define kubernetes_context from environment AWX is being installed
# to
#kubernetes_context:

admin_user: admin
admin_email: "admin@{{ dn }}"

kubernetes_base_path: "{{ local_base_config_path|default('/tmp') }}/{{ kubernetes_deployment_name }}-config"

# Specific images need to be set in inventory or group variables file
kubernetes_task_version: 3.0.0-98-g1f6f3cb26-55.0.0
kubernetes_task_image: "{{ powerone_docker_registry }}/ngci/awx_task"

kubernetes_web_version: 3.0.0-98-g1f6f3cb26
kubernetes_web_image: "{{ powerone_docker_registry }}/ngci/awx_web"

web_mem_request: 1
web_cpu_request: 500

task_mem_request: 2
task_cpu_request: 1500

rabbitmq_mem_request: 2
rabbitmq_cpu_request: 500

memcached_mem_request: 1
memcached_cpu_request: 500

kubernetes_rabbitmq_version: 3.7.4
kubernetes_rabbitmq_image: "{{ powerone_docker_registry }}/ngci/awx_rabbitmq"

kubernetes_memcached_version: 1.5.10-alpine
kubernetes_memcached_image: "{{ powerone_docker_registry }}/memcached"

awx_deployment_name: awx
kubernetes_deployment_name: "{{ awx_deployment_name }}"

kubernetes_deployment_replica_size: 1

default_exclude_outbound_IP_ranges: "192.168.0.0/16"

ngci_consul_namespace: ngci-consul
ngci_vault_namespace: ngci-vault
 
awx_details_path: secret/credentials/ngci/awx/details
ngci_vault_root_token_secret: ngci-vault-root-token
ngci_vault_internal_service_address: http://ngci-vault-secret-vault.ngci-vault:8200
vault_local_address: http://127.0.0.1:8200

postgresql_credential_path: secret/credentials/ngci/postgresql/credentials
awx_secret_key_path: secret/credentials/ngci/awx/secret_key
rabbitmq_details_path: secret/credentials/ngci/rabbitmq/details
